xcb_sync_create_alarm(3)

NAME
xcb_sync_create_alarm -

SYNOPSIS
#include <xcb/sync.h>

  Request function

xcb_void_cookie_t xcb_sync_create_alarm(xcb_connection_t *conn, xcb_sync_alarm_t id, uint32_t value_mask, const void *value_list);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

id  TODO: NOT YET DOCUMENTED.

value_mask
    TODO: NOT YET DOCUMENTED.

value_list
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_sync_create_alarm_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from sync.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.